<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$login = "";
			$user = "";
			$pass = "";
			$error = "";
			$actualizar = "";

			// INICIO DE PÁGINA

			if(!isset($_POST['INGRESAR']) && !isset($_POST['ACTUALIZAR']) && !isset($_SESSION['id_usuario_almacen']) && !isset($_SESSION['id_perfil_almacen'])){

				require_once("./view/index.phtml");

			}

			// INICIO DE SESIÓN

			if(isset($_POST['INGRESAR'])){

				if(isset($_POST['usuario']) && isset($_POST['contrasena'])){

					$user = $_POST['usuario'];
					$pass = $_POST['contrasena'];

					$comprobar = $ges->get_usuario_comprobar($user);

					$comprobar2 = $ges2->get_usuario_comprobar($user);

					if($comprobar['total'] == $comprobar2['total'] && $comprobar2['total']==1 && $comprobar['total'] == 1){

						$login = $ges->get_login($user,$pass);

						if(empty($login)){

							echo'<script type="text/javascript">alert("CREDENCIALES INCORRECTAS");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");

						}else{

								$_SESSION['id_usuario_almacen'] = $login['id_usuario'];
								$_SESSION['codigo_usuario'] = $login['codigo_usuario'];
								$trabajador = $ges2->get_trabajador($_SESSION['codigo_usuario']);
								$_SESSION['nombre'] = $trabajador['NOMBRES'];
								$_SESSION['centro'] = $trabajador['CENTRO'];
								$_SESSION['cargo'] = $trabajador['CARGO'];
								$_SESSION['id_perfil_almacen'] = $login['id_perfil_almacen'];
								$_SESSION['perfil'] = $login['perfil'];
								$_SESSION['primer_ingreso'] = $login['primer_ingreso'];
								$asignacion_ac = $ges->get_usuarios_accesos_inicial($_SESSION['id_usuario_almacen']);
								$_SESSION['id_asignacion'] = $asignacion_ac['id_asignacion_almacen_ccosto'];
								$_SESSION['almacen_ccosto'] = $asignacion_ac['almacen'].' - '.$asignacion_ac['ccosto'];
								$_SESSION['asignacion_accesos'] = $ges->get_usuarios_accesos($_SESSION['id_usuario_almacen']);

								if($login['primer_ingreso'] == 0){

									unset($_POST['INGRESAR']);
									unset($_POST['usuario']);
									unset($_POST['contrasena']);

									require_once("./view/cambio_contrasena.phtml");

								}else{

									require_once("./view/inicio.phtml");
								}

							
						}


						
						
					}else{
						
						if($comprobar['total'] == 1 && $comprobar2['total'] == 0){
							echo'<script type="text/javascript">alert("USUARIO DE BAJA");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
						}
						if($comprobar['total'] == 0 && $comprobar2['total'] == 1){

							echo'<script type="text/javascript">alert("NO EXISTE EL USUARIO");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
							
						}
						if($comprobar['total'] == 0 && $comprobar2['total'] == 0){
							echo'<script type="text/javascript">alert("NO EXISTE EL TRABAJADOR");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
						}
					}

				}else{

						if($comprobar['total'] == 1 && $comprobar2['total'] == 0){
							echo'<script type="text/javascript">alert("USUARIO DE BAJA");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
						}
						if($comprobar['total'] == 0 && $comprobar2['total'] == 1){

							echo'<script type="text/javascript">alert("NO EXISTE EL USUARIO");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
							
						}
						if($comprobar['total'] == 0 && $comprobar2['total'] == 0){
							echo'<script type="text/javascript">alert("NO EXISTE EL TRABAJADOR");window.location.href="index.php";</script>';
							require_once("./view/index.phtml");
						}


					}

					
				
			}
				

			// ACTUALIZAR CONTRASEÑA

			if(isset($_POST['ACTUALIZAR'])){

				if(isset($_POST['nueva_contrasena']) && isset($_POST['confirmar_nueva_contrasena'])){

					$nueva_contrasena = $_POST['nueva_contrasena'];
					$confirmar_nueva_contrasena = $_POST['confirmar_nueva_contrasena'];

					$actualizar = $ges->update_password($nueva_contrasena,$confirmar_nueva_contrasena,$_SESSION['id_usuario_almacen']);

					if($actualizar == ""){

						echo'<script type="text/javascript">alert("ERROR");</script>';
						
						require_once("./view/cambio_contrasena.phtml");

					}else{

						echo'<script type="text/javascript">alert("SE ACTUALIZÓ CORRECTAMENTE LA CONTRASEÑA");</script>';
						require_once("./view/inicio.phtml");

					}

				}else{

					require_once("./view/cambio_contrasena.phtml");

				}

			}

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && isset($_SESSION['primer_ingreso']) ){

				if($_SESSION['primer_ingreso'] == 1){

					require_once("./view/inicio.phtml");
				
				}
				
			}


?>